Bug 528319

Summary: WONTFIX is not correct for end-of-life (zapped) bugs
Product: [Fedora] Fedora Reporter: Matt McCutchen <matt>
Component: distributionAssignee: Shai Revivo <srevivo>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: dcantrell, srevivo
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: All   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-12-22 15:55:56 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Matt McCutchen 2009-10-11 09:05:25 UTC
Description of problem:
Currently, bugs against a Fedora version are marked CLOSED WONTFIX when that version reaches end of life:

https://fedoraproject.org/wiki/BugZappers/HouseKeeping/TicketTemplate

I feel strongly that this is not a correct resolution.  WONTFIX is for bugs the maintainers have decided never to fix because they are outside the scope of the software, the technical benefits fail to outweigh the technical complexity, or the importance fails to outweigh the implementation effort.  Indeed, the documentation at:

https://bugzilla.redhat.com/page.cgi?id=fields.html#status

says, "WONTFIX: The problem described is a bug which will never be fixed."  Bugs that the community has merely lost interest in retesting with current Fedora should have their own status with a name such as OBSOLETE.  This way, a user who has found a bug in current Fedora and is searching for an existing report can easily distinguish a genuine WONTFIX from one that could be reopened in a heartbeat with a fresh reproduction.

Once the OBSOLETE status is created and the housekeeping procedure is updated, we could look into a batch change of existing bugs WONTFIX-ed by housekeeping to OBSOLETE.

Comment 1 Matt McCutchen 2009-10-11 13:31:58 UTC
On second thought, it might be better not to change the status of end-of-life bugs at all and look into a different way of avoiding clutter of developers' typical bug queries.  I guess it depends on whether the bugs are viewed as frozen in their place in the fixing process or as needing to start the process over upon a fresh reproduction.

Comment 2 Matt McCutchen 2009-10-13 05:39:15 UTC
For comparison, the Mozilla project has an "EXPIRED" resolution, and here's an example of their bug zapper in action:

https://bugzilla.mozilla.org/show_bug.cgi?id=252942#c4

I like the Mozilla bug-zapper text: it is very candid that bug expiration is a pragmatic measure to get the most benefit from limited development resources.  In comparison, the Fedora text reeks of the kind of false apology that we're all sick of hearing from bureaucracies these days.

Comment 3 Bug Zapper 2009-11-16 13:30:08 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Matt McCutchen 2010-04-14 02:49:55 UTC
Adding a keyword to the summary to make this easier to find.

See also bug 573535, about reopening zapped bugs when they are reproduced.

Comment 5 Bug Zapper 2010-11-04 09:31:55 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2010-12-04 07:30:44 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 7 Matt McCutchen 2011-09-02 17:19:43 UTC
Oh, the irony...

Whatever the politics surrounding bug expiration, it is a defect that zapped bugs cannot easily be distinguished from true WONTFIX in searches.

I now think the best idea is to not store the "zapped" state and simply publicize that bugs against unmaintained Fedora versions not marked FutureFeature are considered expired and no work should be expected on them.  Then the original status can remain, and users need only be allowed to bump the version, not reopen (see bug 573535).  Optionally, Bugzilla could be customized to return "EXPIRED" instead of "---" as the resolution to facilitate searching.

Comment 10 Jan Kurik 2015-12-22 11:29:28 UTC
This bug is currently assigned to an unsupported release. If you think this bug is still valid and should remain open, please re-assign it to a supported release (F22, F23) or to rawhide.

Bugs which will be assigned to an unsupported release are going to be closed as EOL (End Of Life) on January 26th, 2016.

Comment 11 Matt McCutchen 2015-12-22 15:55:56 UTC
Looks like at some point, zapped bugs started to use a separate "EOL" resolution, which solves the main problem here.